import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.text.*;
public class Shoot extends JFrame implements ActionListener {
    private JTextField hField = new JTextField(20);
    private JTextField vField = new JTextField(20);
    private JLabel resultLabel = new JLabel();
    public Shoot() {
        JLabel hLabel = new JLabel("Ange utgngshastighet: ");
        hLabel.setBackground(Color.PINK);
        hLabel.setOpaque(true);
        JLabel vLabel = new JLabel("Ange kastvinkel: ");
        vLabel.setBackground(Color.ORANGE);
        vLabel.setOpaque(true);
        hField.addActionListener(this);
        vField.addActionListener(this);
        JPanel input = new JPanel();
        input.setLayout(new GridLayout(2,2));
        input.add(hLabel);
        input.add(hField);
        input.add(vLabel);
        input.add(vField);
        resultLabel.setBackground(Color.YELLOW);
        resultLabel.setForeground(Color.MAGENTA);
        resultLabel.setOpaque(true);
        setLayout(new GridLayout(2,1));
        add(input);
        add(resultLabel);
        pack();
        setVisible(true);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }//constructor

    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == hField || e.getSource() == vField) 
            calculate();
    }//actionPerformed

    public void calculate( ) {
        final double G = 9.81;
        String indata = hField.getText();
        double v = Double.parseDouble(indata);
        indata = vField.getText();
        double alfa = Double.parseDouble(indata);
        alfa = Math.toRadians(alfa);
        double h = (Math.pow(v, 2) * Math.pow(Math.sin(alfa), 2))/(2*G);
        double d = (Math.pow(v, 2) * Math.sin(2*alfa))/G;
        NumberFormat r = NumberFormat.getInstance();
        r.setMaximumFractionDigits(2);
        r.setMinimumFractionDigits(2);
        resultLabel.setText("Banhjden r " + r.format(h) + "\n" 
                             + " och kastlngden r " + r.format(d));
    }//calculate
} //Shoot
